Nordmind\Mailer\Application\Mailer\DefaultRecipient:
    type: entity
    table: mailer_default_recipients
    id:
        id:
            column: id
            type: integer
            unique: true
            id: true
            generator:
                strategy: AUTO
    fields:
        name:
            type: string
        email:
            type: string
        type:
            type: string
    manyToOne:
        template:
            targetEntity: Nordmind\Mailer\Application\Mailer\Template
            inversedBy: defaultRecipients
            joinColumn:
                name: template_id
                referencedColumnName: id
                onDelete: CASCADE